Package org.eclipse.jface.viewers

# Class TableViewerFocusCellManager

java.lang.Object
org.eclipse.jface.viewers.TableViewerFocusCellManager

public class TableViewerFocusCellManager extends Object
This class is responsible to provide the concept of cells for `Table`. This concept is needed to provide features like editor activation with the keyboard

Since:
  3.3

## Constructor Summary

Constructors
Constructor
Description
`TableViewerFocusCellManager(TableViewer viewer, FocusCellHighlighter focusDrawingDelegate)`
Create a new manager with a default navigation strategy: `SWT.ARROW_UP`: navigate to cell above `SWT.ARROW_DOWN`: navigate to cell below `SWT.ARROW_RIGHT`: navigate to next visible cell on the right `SWT.ARROW_LEFT`: navigate to next visible cell on the left
`TableViewerFocusCellManager(TableViewer viewer, FocusCellHighlighter focusDrawingDelegate, CellNavigationStrategy navigationStrategy)`
Create a new manager

## Method Summary

Modifier and Type
Method
Description
`ViewerCell`
`getFocusCell()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TableViewerFocusCellManager

public TableViewerFocusCellManager(TableViewer viewer, FocusCellHighlighter focusDrawingDelegate)
Create a new manager with a default navigation strategy:

- `SWT.ARROW_UP`: navigate to cell above
- `SWT.ARROW_DOWN`: navigate to cell below
- `SWT.ARROW_RIGHT`: navigate to next visible cell on the right
- `SWT.ARROW_LEFT`: navigate to next visible cell on the left

Parameters:
  `viewer` - the viewer the manager is bound to
  `focusDrawingDelegate` - the delegate responsible to highlight selected cell

### TableViewerFocusCellManager

public TableViewerFocusCellManager(TableViewer viewer, FocusCellHighlighter focusDrawingDelegate, CellNavigationStrategy navigationStrategy)
Create a new manager

Parameters:
  `viewer` - the viewer the manager is bound to
  `focusDrawingDelegate` - the delegate responsible to highlight selected cell
  `navigationStrategy` - the strategy used to navigate the cells
Since:
  3.4

## Method Details

### getFocusCell

public ViewerCell getFocusCell()

Returns:
  the cell with the focus